<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: fh_notice_panel.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$fhnoticeModule = fusion_filter_hook( 'fhnotice_modules', ['paneltype' => 1] );
    //fusion_set_cookie(COOKIE_PREFIX."fh_notice_panel", "", time() - 12000, COOKIE_PATH, COOKIE_DOMAIN, FALSE, TRUE);
if ( !empty( $fhnoticeModule ) ) {
    if ( check_post( 'accept_notice' ) ) {
    	$cookiedata = sanitizer('n_cookie', 0, 'n_cookie');
        fusion_set_cookie( COOKIE_PREFIX . "fh_notice_panel", "yes", time() + $cookiedata, COOKIE_PATH, COOKIE_DOMAIN, FALSE, TRUE );
        redirect( FUSION_REQUEST );
    }
    include_once NOTICE_PATH."templates/fhnotice.tpl.php";
    FhNotices($fhnoticeModule);
}
